Bug 749899 - Can't delete a drift template
Can't delete a drift template
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: drift (Show other bugs)
4.1
Unspecified Unspecified
high Severity medium (vote)
: ---
: ---
Assigned To: John Sanda
Mike Foley
:
Depends On: 750895
Blocks: 707225
  Show dependency treegraph
 
Reported: 2011-10-28 15:53 EDT by Mike Foley
Modified: 2012-02-07 14:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:21:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2011-10-28 15:53:45 EDT
Description of problem:  Can't delete a drift template



Steps to Reproduce:
1.  Administration-->Drift Templates to create a drift template
2.  highlight it ... and click the delete button ... nothing happens
3.
  
Actual results:
nothing happens

Expected results:
drift template is deleted

Additional info:  loose end.  may not have been implemented.  

scenario 6.1  http://jbosson.etherpad.corp.redhat.com/9
Comment 1 John Sanda 2011-11-02 08:39:18 EDT
Mike, just a heads up. Template updates are not fully implemented yet either.
Comment 2 John Sanda 2011-11-02 15:24:33 EDT
Wired up the UI to call the server to perform template deletion. A detail message is provided in the confirm dialog that explains the cascading effect of deleting a template.

master branch commit hash:  0049694dd5e7b73eb45470d6dce09ca1f350581a
release_jon3.x commit hash: 5dfd88f388c15c02faac819268d237f07ab64d9a
Comment 3 Sunil Kondkar 2011-11-03 05:32:04 EDT

Created a drift template, and a drift definition using the template. Navigated to Administration-->Drift Definition Templates. Selected the drift template and clicked on 'Delete' button. It displays below message with 'Yes' and 'No' buttons:

"Warning! Deleting this template will also cause all attached drift definitions to be deleted as well. Those attached definitions along with all of their snapshots will be permanently removed from the system. Detached definitions will not be removed. Are you sure you want to continue?" 

On clicking 'No', it cancels the delete and on clicking 'Yes', it deleted the drift template and the drift definition successfully with a message in UI and in message center.
Comment 4 Mike Foley 2012-02-07 14:21:43 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.